# Class SAMRecord.SAMTagAndValue

java.lang.Object
htsjdk.samtools.SAMRecord.SAMTagAndValue

Enclosing class:
  `SAMRecord`

public static class SAMRecord.SAMTagAndValue extends Object
Tag name and value of an attribute, for getAttributes() method.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`tag`
`final Object`
`value`

## Constructor Summary

Constructors
Constructor
Description
`SAMTagAndValue(String tag, Object value)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tag

public final String tag

### value

public final Object value

## Constructor Details

### SAMTagAndValue

public SAMTagAndValue(String tag, Object value)